Subject: Protocol Action: 'PCEP extensions for GMPLS' to Proposed Standard (draft-ietf-pce-gmpls-pcep-extensions-16.txt)

From: The IESG <[email-masked]>
Date: Mon, 16 Dec 2019 11:07:54 -0800

The IESG has approved the following document:
- 'PCEP extensions for GMPLS'
  (draft-ietf-pce-gmpls-pcep-extensions-16.txt) as Proposed Standard

This document is the product of the Path Computation Element Working Group.

The IESG contact persons are Alvaro Retana, Martin Vigoureux and Deborah
Brungard.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-pce-gmpls-pcep-extensions/

Technical Summary

Although [RFC4655] defines the PCE architecture and framework for
both MPLS and GMPLS networks, most preexisting PCEP RFCs [RFC5440],
[RFC5521], [RFC5541], [RFC5520] are focused on MPLS networks, and do
not cover the wide range of GMPLS networks.  This document
complements these RFCs by addressing the extensions required for
GMPLS applications and routing requests, for example for OTN and WSON
networks.

Working Group Summary

Though uncontroversial, this work had a long life. Some other work with strong market demand (stateful PCE, mainly) came along and this document got stuck for a while in the WG's and chairs' backlog.

Document Quality

There are several implementations, commercial and open source, of the base protocol. The extensions from this document were implemented (at least partially) by some work from the research community. Open source (OpenDaylight) is in the pipe.

At lest two vendors worked on the document. The implementation by a few optical vendors is mentioned by some (available) research publications.

Personnel

   Who is the Document Shepherd for this document?  Julien Meuric
   Who is the Responsible Area Director?  Deborah Brungard